For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all strategies
      • POSTCreate a strategy
      • GETGet a strategy definition
      • PUTUpdate a strategy type
      • DELDelete a strategy
      • POSTDeprecate a strategy
      • POSTReactivate a strategy
      • GETGet strategies that use a context field
      • GET[BETA] Get strategies that use a context field
      • POSTUpdate strategy segments

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIStrategies

[BETA] Get strategies that use a context field

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/projects/:projectId/context/:contextField/strategies
GET
/api/admin/projects/:projectId/context/:contextField/strategies
$curl https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/strategies \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "strategies": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "featureName": "user-onboarding",
6 "projectId": "mobile-app",
7 "environment": "production",
8 "strategyName": "gradualRolloutUserId"
9 }
10 ]
11}

[BETA] This API is in beta state, which means it may change or be removed in the future.

Retrieves a list of all strategies that use the specified context field. If the context field doesn’t exist, returns an empty list of strategies

Was this page helpful?
Previous

Update strategy segments

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
contextFieldstringRequired

Response

contextFieldStrategiesSchema
strategieslist of objects
List of strategies using the context field

Errors

401
Unauthorized Error